Subject: Re: bug#57956: 29.0.50; Add minimal authorization support to sasl-scram-rfc

From: Philip Kaludercic <[email-masked]>
Date: Fri, 23 Sep 2022 13:37:19 +0000

"J.P." <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> "J.P." <[email-masked]> writes:
>>
>>> is obviously an internal function. Does that matter? Would you rather we
>>> export it (as in rename it or alias it) beforehand (IOW, now)?
>>
>> I'd rather not add "internal functions" to Compat, at least in a way
>> that it would be exposed as part of the official Compat interface.  That
>> being said, I am not familiar with the feature being discussed here,
>
> The feature (also a bug fix) being discussed here concerns the final
> client-side step of the SCRAM protocol. Basically, it computes a
> challenge from the server and packs the answer into an outgoing reply.
>
>> so maybe an exception has to be made?
>
> No reason to. We can keep it internal (the "final step" function, that
> is) and backport its logic, its helpers, and all (two-ish?) public
> functions that call it (I'm likely adding a third).

There should be no issue with adding two or three functions to Compat.

> Alternatively, we could
>
> - have ERC restrict this feature to users of Emacs 29+, or
> - stick with the status quo and manage this particular case manually via
>   erc-comapt.el [1].
>
> I'd be fine with any of the above, really.

Do you think there is any interest in providing these functions outside
of ERC?  If so, I think adding the code to Compat ought to be fine.